Is PHOTOSHOP CS5.1 supported in Mac Yosemite or do I have to upgrade.

  • 1
  • Question
  • Updated 3 years ago
  • (Edited)
I'm a semi-retired graphic artist. I'm currently running MAC OS X 6.6.8 but internet issues are forcing me toward Yosemite. I know I will have to upgrade my Quark Xpress to the latest version but I'm not sure about Photoshop CS5.1. Please advise. Thanks ahead of time.
Photo of Sharron Stout

Sharron Stout

  • 1 Post
  • 0 Reply Likes

Posted 3 years ago

  • 1
Photo of Chris Cox

Chris Cox

  • 20280 Posts
  • 751 Reply Likes
Photoshop CS5 will work, but you'll need to reinstall Photoshop after installing the MacOS 10.10 update to replace files damaged by the OS installer, and install the JAVA version that Apple tells you to install.